<form id="ccs_search_form" name="ccs_search_form" class="ccs-form">
<?php
    foreach ($search_fields as $field)
    {
        if ($field->name == 'program_code')
        {
?>
    <div class="form-group clearfix">
        <div class="col-xs-3 col-xs-offset-0 col-md-2 col-md-offset-1 program_code">
            <?php echo __('Programme Code', 'course-catalog-system'); ?>
        </div>
        <div class="col-xs-3 col-md-2">
            <select id="program_code_filter" name="program_code_filter" style="width: 100%;">
                <option value="ct"><?php echo __('Contains', 'course-catalog-system'); ?></option>
                <option value="eq"><?php echo __('Equals to', 'course-catalog-system'); ?></option>
                <option value="ne"><?php echo __('Not equal to', 'course-catalog-system'); ?></option>
                <option value="sw"><?php echo __('Starts with', 'course-catalog-system'); ?></option>
                <option value="ew"><?php echo __('Ends with', 'course-catalog-system'); ?></option>
            </select>
        </div>
        <div class="col-xs-6 col-md-2">
            <input type="text" id="program_code" name="program_code">
        </div>
        <div class="hidden-sm col-md-5">&nbsp;</div>
    </div>
<?php
        }
        else if ($field->name == 'program_name')
        {
?>
    <div class="form-group clearfix">
        <div class="col-xs-3 col-xs-offset-0 col-md-2 col-md-offset-1 program_name">
            <?php echo __('Programme Name', 'course-catalog-system'); ?>
        </div>
        <div class="col-xs-3 col-md-2">
            <select id="program_name_filter" name="program_name_filter" style="width: 100%;">
                <option value="ct"><?php echo __('Contains', 'course-catalog-system'); ?></option>
                <option value="eq"><?php echo __('Equals to', 'course-catalog-system'); ?></option>
                <option value="ne"><?php echo __('Not equal to', 'course-catalog-system'); ?></option>
                <option value="sw"><?php echo __('Starts with', 'course-catalog-system'); ?></option>
                <option value="ew"><?php echo __('Ends with', 'course-catalog-system'); ?></option>
            </select>
        </div>
        <div class="col-xs-6 col-md-6">
            <input type="text" id="program_name" name="program_name">
        </div>
    </div>
<?php
        }
        else if ($field->name == 'faculty_id')
        {
?>
    <div class="form-group clearfix">
        <div class="col-xs-3 col-xs-offset-0 col-md-2 col-md-offset-1 faculty_id">
            <?php echo __('Faculty', 'course-catalog-system'); ?>
        </div>
        <div class="col-xs-3 col-md-2">
            <select id="faculty_id_filter" name="faculty_id_filter" style="width: 100%;">
                <option value="eq"><?php echo __('Equals to', 'course-catalog-system'); ?></option>
                <option value="ne"><?php echo __('Not equal to', 'course-catalog-system'); ?></option>
            </select>
        </div>
        <div class="col-xs-6 col-md-6">
            <select id="faculty_id" name="faculty_id">
                <option value="">&nbsp;</option>
                <!--{{FACULTY}}-->
            </select>
        </div>
    </div>
<?php
        }
        else if ($field->name == 'studylevel_id')
        {
?>
    <div class="form-group clearfix">
        <div class="col-xs-3 col-xs-offset-0 col-md-2 col-md-offset-1 studylevel_id">
            <?php echo __('Level of Study', 'course-catalog-system'); ?>
        </div>
        <div class="col-xs-3 col-md-2">
            <select id="studylevel_id_filter" name="studylevel_id_filter" style="width: 100%;">
                <option value="eq"><?php echo __('Equals to', 'course-catalog-system'); ?></option>
                <option value="ne"><?php echo __('Not equal to', 'course-catalog-system'); ?></option>
            </select>
        </div>
        <div class="col-xs-6 col-md-3">
            <select id="studylevel_id" name="studylevel_id">
                <option value="">&nbsp;</option>
                <!--{{STUDYLEVEL}}-->
            </select>
        </div>
    </div>
<?php
        }
        else if ($field->name == 'program_credithour')
        {
?>
    <div class="form-group clearfix">
        <div class="col-xs-3 col-xs-offset-0 col-md-2 col-md-offset-1 program_credithour">
            <?php echo __('Credit Hours', 'course-catalog-system'); ?>
        </div>
        <div class="col-xs-3 col-md-2">
            <select id="program_credithour_filter" name="program_credithour_filter" style="width: 100%;">
                <option value="eq"><?php echo __('Equals to', 'course-catalog-system'); ?></option>
                <option value="ne"><?php echo __('Not equal to', 'course-catalog-system'); ?></option>
                <option value="le"><?php echo __('Less than or equals to', 'course-catalog-system'); ?></option>
                <option value="ge"><?php echo __('Greater than or equals to', 'course-catalog-system'); ?></option>
                <option value="lt"><?php echo __('Less than', 'course-catalog-system'); ?></option>
                <option value="gt"><?php echo __('Greater than', 'course-catalog-system'); ?></option>
            </select>
        </div>

        <div class="col-xs-6 col-md-2">
            <input type="text" id="program_credithour" name="program_credithour" maxlength="2">
        </div>
        <div class="hidden-sm col-md-5">&nbsp;</div>
    </div>
<?php
        }
        else if ($field->name == 'program_duration')
        {
?>
    <div class="form-group clearfix">
        <div class="col-xs-3 col-xs-offset-0 col-md-2 col-md-offset-1 program_duration">
            <?php echo __('Programme Length', 'course-catalog-system'); ?>
        </div>
        <div class="col-xs-3 col-md-2">
            <select id="program_duration_filter" name="program_duration_filter" style="width: 100%;">
                <option value="eq"><?php echo __('Equals to', 'course-catalog-system'); ?></option>
                <option value="ne"><?php echo __('Not equal to', 'course-catalog-system'); ?></option>
                <option value="le"><?php echo __('Less than or equals to', 'course-catalog-system'); ?></option>
                <option value="ge"><?php echo __('Greater than or equals to', 'course-catalog-system'); ?></option>
                <option value="lt"><?php echo __('Less than', 'course-catalog-system'); ?></option>
                <option value="gt"><?php echo __('Greater than', 'course-catalog-system'); ?></option>
            </select>
        </div>

        <div class="col-xs-2 col-md-2">
            <input type="text" id="program_duration" name="program_duration" maxlength="2">
        </div>
        <div class="col-xs-4 col-md-2">
            <select id="program_duration_type" name="program_duration_type">
                <option value="yr"><?php echo __('Year', 'course-catalog-system'); ?></option>
                <option value="sem"><?php echo __('Semester', 'course-catalog-system'); ?></option>
            </select>
        </div>
        <div class="hidden-sm col-md-3">&nbsp;</div>
    </div>
<?php
        }
        else if ($field->name == 'program_type')
        {
?>
    <div class="form-group clearfix">
        <div class="col-xs-3 col-xs-offset-0 col-md-2 col-md-offset-1 program_type">
            <?php echo __('Programme Type', 'course-catalog-system'); ?>
        </div>
        <div class="col-xs-3 col-md-2">
            <select id="program_type_filter" name="program_type_filter" style="width: 100%;">
                <option value="eq"><?php echo __('Equals to', 'course-catalog-system'); ?></option>
                <option value="ne"><?php echo __('Not equal to', 'course-catalog-system'); ?></option>
            </select>
        </div>

        <div class="col-xs-6 col-md-2">
            <select id="program_type" name="program_type">
                <option value="">&nbsp;</option>
                <option value="F"><?php echo __('Full Time', 'course-catalog-system'); ?></option>
                <option value="P"><?php echo __('Part Time', 'course-catalog-system'); ?></option>
            </select>
        </div>
        <div class="hidden-sm col-md-3">&nbsp;</div>
    </div>
<?php
        }
        else if ($field->name == 'study_mode')
        {
?>
    <div class="form-group clearfix">
        <div class="col-xs-3 col-xs-offset-0 col-md-2 col-md-offset-1 study_mode">
            <?php echo __('Study Mode', 'course-catalog-system'); ?>
        </div>
        <div class="col-xs-3 col-md-2">
            <select id="study_mode_filter" name="study_mode_filter" style="width: 100%;">
                <option value="eq"><?php echo __('Equals to', 'course-catalog-system'); ?></option>
                <option value="ne"><?php echo __('Not equal to', 'course-catalog-system'); ?></option>
            </select>
        </div>

        <div class="col-xs-6 col-md-3">
            <select id="study_mode" name="study_mode">
                <option value="">&nbsp;</option>
                <option value="R"><?php echo __('By Research', 'course-catalog-system'); ?></option>
                <option value="C"><?php echo __('By Coursework', 'course-catalog-system'); ?></option>
                <option value="M"><?php echo __('By Mixed Mode', 'course-catalog-system'); ?></option>
            </select>
        </div>
        <div class="hidden-sm col-md-3">&nbsp;</div>
    </div>
<?php
        }
        else if ($field->name == 'program_description')
        {
?>
    <div class="form-group clearfix">
        <div class="col-xs-3 col-xs-offset-0 col-md-2 col-md-offset-1 program_description">
            <?php echo __('Description', 'course-catalog-system'); ?>
        </div>
        <div class="col-xs-3 col-md-2">
            <select id="program_description_filter" name="program_description_filter" style="width: 100%;">
                <option value="ct"><?php echo __('Contains', 'course-catalog-system'); ?></option>
                <option value="nc"><?php echo __('Does not contain', 'course-catalog-system'); ?></option>
            </select>
        </div>
        <div class="col-xs-6 col-md-6">
            <input type="text" id="program_description" name="program_description">
        </div>
    </div>
<?php
        }
        else if ($field->name == 'program_careerprospect')
        {
?>
    <div class="form-group clearfix">
        <div class="col-xs-3 col-xs-offset-0 col-md-2 col-md-offset-1 program_careerprospect">
            <?php echo __('Career Prospects', 'course-catalog-system'); ?>
        </div>
        <div class="col-xs-3 col-md-2">
            <select id="program_careerprospect_filter" name="program_careerprospect_filter" style="width: 100%;">
                <option value="ct"><?php echo __('Contains', 'course-catalog-system'); ?></option>
                <option value="nc"><?php echo __('Does not contain', 'course-catalog-system'); ?></option>
            </select>
        </div>
        <div class="col-xs-6 col-md-6">
            <input type="text" id="program_careerprospect" name="program_careerprospect">
        </div>
    </div>
<?php
        }
        else if ($field->name == 'program_tags')
        {
?>
    <div class="form-group clearfix">
        <div class="col-xs-3 col-xs-offset-0 col-md-2 col-md-offset-1 program_tags">
            <?php echo __('Tags', 'course-catalog-system'); ?>
        </div>
        <div class="col-xs-3 col-md-2">
            <select id="program_tags_filter" name="program_tags_filter" style="width: 100%;">
                <option value="ct"><?php echo __('Contains', 'course-catalog-system'); ?></option>
                <option value="eq"><?php echo __('Equals to', 'course-catalog-system'); ?></option>
                <option value="ne"><?php echo __('Not equal to', 'course-catalog-system'); ?></option>
                <option value="sw"><?php echo __('Starts with', 'course-catalog-system'); ?></option>
                <option value="ew"><?php echo __('Ends with', 'course-catalog-system'); ?></option>
            </select>
        </div>
        <div class="col-xs-6 col-md-6">
            <input type="text" id="program_tags" name="program_tags">
        </div>
        <div class="hidden-sm col-md-3">&nbsp;</div>
    </div>
<?php
        }
    }
?>

    <!-- where all of these conditions are met or where any of these conditions are met -->

    <br>
    <div class="form-group clearfix">
        <div class="col-xs-3 col-xs-offset-0 col-md-2 col-md-offset-1">
            &nbsp;
        </div>
        <div class="col-xs-8 col-md-8">
            [button type="default" shape="default" icon="fa-search" id="btn_search"]
            <?php echo __('Search', 'course-catalog-system'); ?>
            [/button]
        </div>
    </div>

</form>
<script type="text/javascript">
function submit_query() {
    var query = jQuery('#ccs_search_form').serialize();
    jQuery.ajax({
        type: "POST",
        url: "<?php echo $ccs_url . '/data/search_program_advance'; ?>",
        data: {
            'lang': '<?php echo $lang; ?>',
            'query': query
        },
        dataType: "json"
    }).done(function(data) {
        $cnt = 0;
        $local_cnt = 0;
        jQuery.each(data, function(index, row) {
            $cnt++;
            $local_cnt += (row.program_scope == 'L' ? 1 : 0);
            jQuery('.search_result > table > tbody').append(
                '<tr>' +
                '<td>' + $cnt.toString() + '</td>' +
                (jQuery('#faculty_id').val() == '' ?
                    '<td>' + row.faculty_name + '</td>' :
                    '') +
                '<td>' + row.studylevel_name + '</td>' +
                '<td>' +
                    '<a href="<?php echo get_site_url(); ?>' + '<?php echo $ccs_program_details_page; ?>?<?php echo $ccs_program_id_param; ?>=' + row.program_id + '">' +
                    (row.program_scope == 'L' ? '<span style="color:red;">*</span>&nbsp;' : '')  +
                    ((row.program_code != '' && row.program_code != null) ? row.program_code + ': ' : '') +
                    row.program_name + '</a>' +
                '</td>' +
                '</tr>'
            );
            if (jQuery('#faculty_id').val() == '') {
                jQuery('.th_faculty').show();
            } else {
                jQuery('.th_faculty').hide();
            }
        });
        showSearchFilter();
        if ($cnt > 0) {
            jQuery('.search_result').show();
            if ($local_cnt > 0) {
                jQuery('.ccs-note').show();
            }
            var page_title = jQuery('.fusion-page-title-captions > .entry-title');
            page_title.html('<?php echo __('Search Result', 'course-catalog-system'); ?>');
        } else {
            jQuery('.search_no_result').show();
        }
        if (jQuery('#faculty_id').val() != '')
        {
            jQuery('.search_result .th_faculty').html('<?php echo __('Level of Study', 'course-catalog-system'); ?>');
        }
        jQuery('.reading-box-container-1').hide();
        jQuery('.new_search').show();
    }).fail(function(jqXHR, textStatus) {
    });
}
function showSearchFilter() {
    var output = '';
    if (jQuery('#program_code').val() != '') {
        output += '<li>' + jQuery('.program_code').html() + ' ' + jQuery('#program_code_filter option:selected').text().toLowerCase() + " '" + jQuery('#program_code').val() + "'" + '</li>';
    }
    if (jQuery('#program_name').val() != '') {
        output += '<li>' + jQuery('.program_name').html() + ' ' + jQuery('#program_name_filter option:selected').text().toLowerCase() + " '" + jQuery('#program_name').val() + "'" + '</li>';
    }
    if (jQuery('#faculty_id').val() != '') {
        output += '<li>' + jQuery('.faculty_id').html() + ' ' + jQuery('#faculty_id_filter option:selected').text().toLowerCase() + " '" + jQuery('#faculty_id option:selected').text() + "'" + '</li>';
    }
    if (jQuery('#studylevel_id').val() != '') {
        output += '<li>' + jQuery('.studylevel_id').html() + ' ' + jQuery('#studylevel_id_filter option:selected').text().toLowerCase() + " '" + jQuery('#studylevel_id option:selected').text() + "'" + '</li>';
    }
    if (jQuery('#program_credithour').val() != '') {
        output += '<li>' + jQuery('.program_credithour').html() + ' ' + jQuery('#program_credithour_filter option:selected').text().toLowerCase() + " '" + jQuery('#program_credithour').val() + "'" + '</li>';
    }
    if (jQuery('#program_duration').val() != '') {
        output += '<li>' + jQuery('.program_duration').html() + ' ' + jQuery('#program_duration_filter option:selected').text().toLowerCase() + " '" + jQuery('#program_duration').val() + ' ' + jQuery('#program_duration_type option:selected').text().toLowerCase() + "'" + '</li>';
    }
    if (jQuery('#program_type').val() != '') {
        output += '<li>' + jQuery('.program_type').html() + ' ' + jQuery('#program_type_filter option:selected').text().toLowerCase() + " '" + jQuery('#program_type option:selected').text() + "'" + '</li>';
    }
    if (jQuery('#study_mode').val() != '') {
        output += '<li>' + jQuery('.study_mode').html() + ' ' + jQuery('#study_mode_filter option:selected').text().toLowerCase() + " '" + jQuery('#study_mode option:selected').text() + "'" + '</li>';
    }
    if (jQuery('#program_description').val() != '') {
        output += '<li>' + jQuery('.program_description').html() + ' ' + jQuery('#program_description_filter option:selected').text().toLowerCase() + " '" + jQuery('#program_description').val() + "'" + '</li>';
    }
    if (jQuery('#program_careerprospect').val() != '') {
        output += '<li>' + jQuery('.program_careerprospect').html() + ' ' + jQuery('#program_careerprospect_filter option:selected').text().toLowerCase() + " '" + jQuery('#program_careerprospect').val() + "'" + '</li>';
    }
    if (jQuery('#program_tags').val() != '') {
        var q = jQuery('#program_tags').val();
        q = q.replace(' ', ',');
        output += '<li>' + jQuery('.program_tags').html() + ' ' + jQuery('#program_tags_filter option:selected').text().toLowerCase() + " '" + q + "'" + '</li>';
    }

    if (output != '')
    {
        output = '<h3><?php echo __('Search Criteria:', 'course-catalog-system'); ?></h3>' + '<ul>' + output + '</ul>';
        jQuery('.search_criteria').html(output);
        jQuery('.search_criteria').show();
    }
}
jQuery('#ccs_search_form').on('submit', function(event) {
    event.preventDefault();
    submit_query();
});
jQuery('#btn_search').on('click', function() {
    jQuery('#ccs_search_form').submit();
});
jQuery(document).ready(function() {
    jQuery('.new_search').hide();
});
jQuery('#btn_new_search').on('click', function() {
    jQuery('.new_search').hide();
    jQuery('.reading-box-container-1').show();
});
</script>
